/* @font-face {
  font-family: 'Euclidic Circular A';
  src: url('assets/EuclidCircularA-Medium.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
} */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  /* height: 100%; */
  overflow: hidden;
}

body {
  font-family:
    system-ui,
    -apple-system,
    sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

/* Remove touch/mouse highlighting and selection for visuals, but preserve
   keyboard focus with `:focus-visible` for accessibility. */
* {
  -webkit-tap-highlight-color: transparent;
}
img,
video {
  -webkit-user-drag: none;
  user-drag: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Remove text selection highlight color */
::selection {
  background: transparent;
}

.video-wrapper {
  position: relative;
  width: 100%;
  height: auto;
}

.video-wrapper video {
  width: 100%;
  height: auto;
  object-fit: cover;
  display: block;
}

.desktop-video {
  /* position: absolute;
  left: -99999px;
  top: 0;
  width: 1px;
  height: 1px;
  opacity: 0;
  pointer-events: none; */
  aspect-ratio: 16/9;
  position: relative;
  left: auto;
  top: auto;
  width: 100%;
  height: auto;
  opacity: 1;
  pointer-events: auto;
}
